package apis

type TGdH5ServiceAccessCount struct {
	Id                  int64  `json:"-"`
	H5ServiceMerchantId int64  `json:"h5_service_merchant_id"`
	Count               int64  `json:"count"`
	FailCount           int64  `json:"fail_count"`
	CreateTime          string `json:"create_time"`
}

type ManagementH5AddCountReq struct {
	H5ServiceMerchantId int64 `json:"h5_service_merchant_id"`
	CountType           int   `json:"count_type"`
	ErrorCode           int   `json:"error_code"`
}

type ManagementH5AddCountReply struct {
}

type MangementH5AuthCheck struct {
	MerchantId          int64 `json:"merchant_id"`
	H5ApiId             int64 `json:"h5_api_id"`
	H5ServiceId         int64 `json:"h5_service_id"`
	H5ServiceMerchantId int64 `json:"h5_service_merchant_id"`
	//H5Router            string `json:"h5_router"`
	CountType int  `json:"count_type"`
	IsFree    bool `json:"is_free"`
}

type ManagementH5AuthCheckReq struct {
	AppKey   string `json:"app_key"`
	H5Router string `json:"h5_router"`
}

type ManagementH5AuthCheckReply struct {
	ThemeColor string `json:"theme_color"`
	Data       string `json:"data"`
}
