package cache

func (p *RedisCache) Eval(script string, keys []string, args ...interface{}) (val interface{}, err error) {
	if p.isCluster {
		return p.cluster.Eval(script, keys, args...).Result()
	}

	return p.client.Eval(script, keys, args...).Result()
}
