package cache

func (p *RedisCache) Ping() bool {
	var (
		v   string
		err error
	)
	if p.isCluster {
		v, err = p.cluster.Ping().Result()
	} else {
		v, err = p.client.Ping().Result()
	}

	if err != nil {
		return false
	}

	return v == "PONG"
}
