// Copyright 2019 utimes.cc. All rights reserved.
// Use of this source code is governed by utimes.cc.

package management

import (
	"context"
	"gd_auth_check/apis"
	"gd_auth_check/errors"
	"github.com/astaxie/beego/orm"
)

func ManagementGetApiShowInfo(ctx context.Context, req *apis.ManagementGetApiShowInfoReq, reply *apis.ManagementGetApiShowInfoReply) (err error) {
	sql := "select id as api_id, is_show from t_gd_api"
	_, err = orm.NewOrm().Raw(sql).QueryRows(&reply.Infos)
	if err != nil {
		return errors.DataBaseError
	}
	return nil
}
