package gd_access_log

type Warning struct {
	WarningText string `json:"warning_text"`
	To          string `json:"to"`
}

type WarningProviderCountReq struct {
	User               string `json:"user"`
	ProviderApiName    string `json:"provider_api_name"`
	ProviderName       string `json:"provider_name"`
	MerchantChildApiId int64  `json:"merchant_child_api_id"`
	ProviderApiId      int64  `json:"provider_api_id"`
	DayCount           int    `json:"day_count"`
	DayUsed            int    `json:"day_used"`
	GlobalDayCount     int    `json:"global_day_count"`
	GlobalDayUsed      int    `json:"global_day_used"`
	WarningEnable      bool   `json:"warning_enable"`
}

type WarningProviderCountReply struct {
}

type WarningApiCountReq struct {
	User              string `json:"user"`
	ApiName           string `json:"api_name"`
	MerchantDataApiId int64  `json:"merchant_data_api_id"`
	IsFree            bool   `json:"is_free"`
	DayCount          int    `json:"day_count"`
	TotalCount        int    `json:"total_count"`
	DayUsed           int    `json:"day_used"`
	TotalUsed         int    `json:"total_used"`
	RealTotal         int    `json:"real_total"`
	RealUsed          int    `json:"real_used"`
	EndTime           int64  `json:"end_time"`
	ComboType         int    `json:"combo_type"`
	Email             string `json:"email"`
	CountThresholds   string `json:"count_thresholds"`
	DayThresholds     string `json:"day_thresholds"`
	Enable            bool   `json:"enable"`
}

type WarningApiCountReply struct {
}
