package rpc_apis

import (
	"gd_auth_check/common.in/config"
	"gd_auth_check/rpc_apis/gd_access_log"
)

//var Vehicle *gd_vehicle.GdVehicleXClient
//var Service *gd_service.GdServiceXClient

var Crontab *gd_access_log.GdAccessLogXClient

func Init(etcdAddrs []string, conf *config.Configure) {
	Crontab = &gd_access_log.GdAccessLogXClient{}
	Crontab.Init(etcdAddrs, conf.Rpc.BasePath, conf.Rpc.Crontab.Name)

}

func InitForK8s(conf *config.Configure) {
	Crontab = &gd_access_log.GdAccessLogXClient{}
	Crontab.InitForK8s(conf.Rpc.Crontab.Name, conf.Rpc.Crontab.ServiceName, conf.Rpc.Crontab.ServicePort.String())
}
