// Copyright 2019 utimes.cc. All rights reserved.
// Use of this source code is governed by utimes.cc.

package management

import (
	"context"
	"gd_auth_check/apis"
	"gd_auth_check/errors"
	"github.com/astaxie/beego/orm"
)

func ManagementGetMerchantApiTimeout(ctx context.Context, req *apis.ManagementGetMerchantApiTimeoutReq, reply *apis.ManagementGetMerchantApiTimeoutReply) (err error) {
	sql := "select merchant_data_api_id, api_id, timeout from t_gd_merchant_child_data_api"
	_, err = orm.NewOrm().Raw(sql).QueryRows(&reply.Infos)
	if err != nil {
		return errors.DataBaseError
	}
	return nil
}
