// Copyright 2019 utimes.cc. All rights reserved.
// Use of this source code is governed by utimes.cc.

package management

import (
	"context"
	"gd_auth_check/apis"
	"gd_auth_check/errors"
	"github.com/astaxie/beego/orm"
)

func ManagementGetMerchantIds(ctx context.Context, req *apis.ManagementGetMerchantIdsReq, reply *apis.ManagementGetMerchantIdsReply) (err error) {
	o := orm.NewOrm()
	_, err = o.Raw("select id, merchant_name as name from t_gd_merchants").QueryRows(&reply.Infos)

	if err != nil {
		return errors.DataBaseError
	}
	return nil
}
