// Copyright 2019 utimes.cc. All rights reserved.
// Use of this source code is governed by utimes.cc.

package management

import (
	"context"
	"gd_auth_check/apis"
	"gd_auth_check/errors"
	"github.com/astaxie/beego/orm"
)

func ManagementGetMerchantApiId(ctx context.Context, req *apis.ManagementGetMerchantApiIdReq, reply *apis.ManagementGetMerchantApiIdReply) (err error) {
	o := orm.NewOrm()
	err = o.Raw("select merchant_data_api_id from t_gd_merchant_child_data_api where id=?", req.MerchantChildApiId).QueryRow(&reply.MerchantDataApiId)

	if err != nil {
		return errors.DataBaseError
	}
	return nil
}
