// Copyright 2019 utimes.cc. All rights reserved.
// Use of this source code is governed by utimes.cc.

package management

import (
	"context"
	"gd_auth_check/apis"
	"gd_auth_check/errors"
	"github.com/astaxie/beego/orm"
)

func ManagementGetProviderIds(ctx context.Context, req *apis.ManagementGetProviderIdsReq, reply *apis.ManagementGetProviderIdsReply) (err error) {
	sql := "select id as provider_id, platform_name as provider_name from t_gd_provider"
	_, err = orm.NewOrm().Raw(sql).QueryRows(&reply.Infos)
	if err != nil {
		return errors.DataBaseError
	}
	return nil
}
